Bug 53402 - Incorrect error message for mod_ldap params
Summary: Incorrect error message for mod_ldap params
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_ldap (show other bugs)
Version: 2.2.23
Hardware: All All
: P2 trivial (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk, MassUpdate, PatchAvailable
Depends on:
Blocks:
 
Reported: 2012-06-12 09:19 UTC by Joshua Bowman
Modified: 2018-11-07 21:10 UTC (History)
0 users



Attachments
Proposed patch (3.49 KB, patch)
2012-10-21 05:54 UTC, Christophe JAILLET
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Bowman 2012-06-12 09:19:42 UTC
After forgetting the type parameter of LDAPTrustedGlobalCert, I received this message:

  Jun 11 14:43:09 kg-ln20 httpd[24072]: Syntax error on line 2 of /etc/httpd/vhosts.d/srv.conf:
  Jun 11 14:43:09 kg-ln20 httpd[24072]: LDAPTrustedGlobalCert takes two or three arguments, Takes three args; the file and/or directory containing the trusted CA certificates (and global client certs for Netware) used to validate the LDAP server.  Second arg is the cert type for the first arg, one of CA_DER, CA_BASE64, CA_CERT7_DB, CA_SECMOD, CERT_DER, CERT_BASE64, CERT_KEY3_DB, CERT_NICKNAME, KEY_DER, or KEY_BASE64. Third arg is an optional passphrase if applicable.

If you take this advice, you'll get:

  Jun 11 14:44:16 kg-ln20 httpd[24084]: Syntax error on line 2 of /etc/httpd/vhosts.d/srv.conf:
  Jun 11 14:44:16 kg-ln20 httpd[24084]: The certificate type /etc/pki/tls/certs/server.crt is not recognised. It should be one of CA_DER, CA_BASE64, CA_CERT7_DB, CA_SECMOD, CERT_DER, CERT_BASE64, CERT_KEY3_DB, CERT_NICKNAME, KEY_DER, KEY_BASE64

The type is the _first_ arg, the file/directory is the second.
Comment 1 Eric Covener 2012-06-14 02:36:49 UTC
2.2 only, or am I misunderstanding?
Comment 2 Christophe JAILLET 2012-10-21 05:46:53 UTC
Yes apparently, only 2.2 is concerned.

I also notice another issue concerning LDAPSharedCacheSize default value. (see line 2734 against line 2073).

The proposed patch also corrects a typo in a comment.
Comment 3 Christophe JAILLET 2012-10-21 05:54:50 UTC
Created attachment 29502 [details]
Proposed patch
Comment 4 ramsai1729 2012-10-24 09:18:02 UTC
Looks good to me, also we can just remove "Takes three arguments;", redundant error message.
Comment 5 William A. Rowe Jr. 2018-11-07 21:10:03 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.